{
    "name": "scratch-l10n",
    "version": "3.999.0",
    "description": "Localization for TurboWarp",
    "main": "./dist/l10n.js",
    "browser": "./src/index.js",
    "scripts": {
        "build:data": "babel-node scripts/build-data",
        "build": "npm run clean && npm run build:data && webpack --progress --colors --bail",
        "clean": "rimraf ./dist ./locales && mkdirp dist locales",
        "lint:js": "eslint . --ext .js",
        "lint:json": "jshint -e .json www editor/blocks editor/extensions editor/interface editor/paint-editor",
        "lint": "npm run lint:js && npm run lint:json",
        "pull:interface": "babel-node scripts/tx-pull-translations scratch-editor interface ./editor/interface/",
        "pull:paint": "babel-node scripts/tx-pull-translations scratch-editor paint-editor ./editor/paint-editor/",
        "pull:extensions": "babel-node scripts/tx-pull-translations scratch-editor extensions ./editor/extensions/",
        "pull:blocks": "babel-node scripts/tx-pull-blocks ./editor/blocks/",
        "pull:editor": "npm run pull:blocks && npm run pull:extensions && npm run pull:paint && npm run pull:interface",
        "pull:www": "babel-node scripts/tx-pull-www ./www",
        "pull:help:names": "./scripts/tx-pull-help-names.js",
        "pull:help:articles": "./scripts/tx-pull-help-articles.js",
        "pull:help": "npm run pull:help:names && npm run pull:help:articles",
        "push:help": "./scripts/tx-push-help.js",
        "sync:help": "npm run push:help && npm run pull:help",
        "test": "npm run lint:js && npm run validate:editor && npm run validate:www && npm run build && npm run lint:json",
        "update": "scripts/update-translations.sh",
        "validate:blocks": "babel-node scripts/validate-translations ./editor/blocks/",
        "validate:extensions": "babel-node scripts/validate-translations ./editor/extensions/ && babel-node scripts/validate-extension-inputs",
        "validate:interface": "babel-node scripts/validate-translations ./editor/interface/",
        "validate:paint": "babel-node scripts/validate-translations ./editor/paint-editor/",
        "validate:editor": "npm run validate:blocks && npm run validate:extensions && npm run validate:interface && npm run validate:paint",
        "validate:www": "babel-node scripts/validate-www ./www"
    },
    "repository": {
        "type": "git",
        "url": "git+https://github.com/TurboWarp/scratch-l10n.git"
    },
    "author": "Thomas Weber",
    "license": "GPL-3.0",
    "bugs": {
        "url": "https://github.com/TurboWarp/scratch-l10n/issues"
    },
    "homepage": "https://github.com/TurboWarp/scratch-l10n#readme",
    "dependencies": {
        "babel-plugin-react-intl": "^3.0.1"
    },
    "devDependencies": {
        "@babel/cli": "^7.1.2",
        "@babel/core": "^7.1.2",
        "@babel/node": "7.2.2",
        "@babel/plugin-proposal-object-rest-spread": "^7.0.0",
        "@babel/plugin-syntax-dynamic-import": "^7.0.0",
        "@babel/plugin-transform-async-to-generator": "^7.1.0",
        "@babel/preset-env": "^7.9.5",
        "@babel/preset-react": "^7.0.0",
        "async": "2.6.1",
        "async-limiter": "^2.0.0",
        "babel-eslint": "^10.0.1",
        "babel-loader": "8.0.5",
        "dotenv": "^9.0.2",
        "eslint": "^5.0.1",
        "eslint-config-scratch": "^5.0.0",
        "eslint-plugin-import": "^2.8.0",
        "eslint-plugin-react": "^7.5.1",
        "format-message-cli": "6.2.1",
        "format-message-parse": "6.2.0",
        "glob": "7.1.3",
        "jshint": "2.9.7",
        "json": "^9.0.6",
        "jsonlint": "1.6.3",
        "lodash.defaultsdeep": "4.6.1",
        "mkdirp": "^0.5.1",
        "node-fetch": "^2.6.0",
        "p-limit": "2.1.0",
        "p-queue": "3.0.0",
        "rimraf": "^2.6.2",
        "transifex": "1.6.6",
        "webpack": "^4.6.0",
        "webpack-cli": "^3.1.2"
    }
}
